Subject: Re: [PATCH ipsec-next] xfrm: don't pull esp/auth header in xfrm_parse_spi

From: Steffen Klassert <[email-masked]>
Date: Mon, 6 Nov 2017 10:38:03 +0100

On Thu, Nov 02, 2017 at 01:54:10PM +0100, Florian Westphal wrote:
> syzbot reported an issue where pointer to ip header content was not
> reloaded after xfrm_parse_spi().
> 
> Its not intuitive that this function changes skb->head, so switch to
> skb_pointer_header.

I have to admit that this is not intuitive, but we pull
these headers later anyway. So using skb_header_pointer()
here might add another memcpy that could be avoided.

I think I'll stay with the fix you submitted for the ipsec
tree already.